clear all
close all
clc

% Lo hare con funciones anonimas, pues es lo que recomienda MATLAB (usar
% funciones inline es obsoleto, sin embargo, para efectos del curso, es
% recomendable que aprendan como funciona inline.

% Por ejemplo f = inline('x.^2') es equivalente a:
f = @(x) x.^2;

disp('******************************')
disp('Utilizando regla de trapecios ')
disp('******************************')

for N = [10, 20, 40, 80]
    disp('==========================')
    fprintf('N = %d\n', N)
    disp('x^2:')
    trap(f, 0, 3, N)
    disp('exp(-x^2):')
    trap(@(x) exp(-x.^2), -1, 1, N)
    disp('log(x):')
    trap(@(x) log(x), 1, 2, N)
    disp('sqrt(x):')
    trap(@(x) sqrt(x), 0, 1, N)
    disp('==========================')
end

disp('****************************')
disp('Utilizando regla de Simpson ')
disp('****************************')
for N = [10, 20, 40, 80]
    disp('==========================')
    fprintf('N = %d\n', N)
    disp('x^2:')
    simpson(f, 0, 3, N)
    disp('exp(-x^2):')
    simpson(@(x) exp(-x.^2), -1, 1, N)
    disp('log(x):')
    simpson(@(x) log(x), 1, 2, N)
    disp('sqrt(x):')
    simpson(@(x) sqrt(x), 0, 1, N)
    disp('==========================')
end