clear all
close all
clc

f = inline('sqrt(x)');
N = (10:10:100)';
error = zeros(size(N));
for i = 1:length(N)
  error(i) = abs(trap(f, 0, 1, N(i)) - 2/3);
end

figure(1)
loglog(N, error, 'r'); hold on
loglog(N, 1./N.^2, 'b')

h = 1./N;
A = [ones(size(h)), log(h)];
b = log(error);

x = A\b;

C = exp(x(1));
alpha = x(2);

figure(2)
loglog(N, error, 'r'); hold on
loglog(N, 1./N.^alpha, 'b')