function suma_parcial_fourier(f, a, b, N)
    a0 = 2/(b - a) * quad(f, a, b);
    x = linspace(a, b, 10*N);
    SF = zeros(size(x));
    for n = 1:N
        % Utilizo quadgk porque la funcion varia rapido en el intervalo
        % (coseno), en MATLAB mas recientes se puede utilizar la funcion
        % integral.
        an = 2/(b - a) * quadgk(@(x) f(x) .* cos(2*pi*n*x/(b - a)), a, b);
        bn = 2/(b - a) * quadgk(@(x) f(x) .* sin(2*pi*n*x/(b - a)), a, b);
        SF = SF + an * cos(2*pi*n*x/(b - a)) + bn*sin(2*pi*n*x/(b - a));
    end
    SF = a0/2 + SF;

    hold on
    plot(x, f(x), 'r')
    plot(x, SF, 'b');
    legend('f', 'SF{f}')
end