function suma_parcial_fourier_mod(f, a, b, N)
    a0 = 2/(b - a) * quad(f, a, b);
    L = b - a;
    x = linspace(a - L, b + L, 10*N);
    SF = zeros(size(x));
    for n = 1:N
        an = 2/(b - a) * quadgk(@(x) f(x) .* cos(2*pi*n*x/(b - a)), a, b);
        bn = 2/(b - a) * quadgk(@(x) f(x) .* sin(2*pi*n*x/(b - a)), a, b);
        SF = SF + an * cos(2*pi*n*x/(b - a)) + bn*sin(2*pi*n*x/(b - a));
    end
    SF = a0/2 + SF;

    plot(x, SF, 'b');
    title('Serie Parcial de Fourier')
end